Viewing Issue Advanced Details Jump to Notes ]
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06131 Interface Minor Always Feb 1, 2016, 18:17 Feb 26, 2016, 07:58
Tester shade99gt View Status Public Platform MAME (Official Binary)
Assigned To Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved   Driver
Version 0.170 Fixed in Version 0.171 Build 64-bit
Summary 06131: Can't unpause emulation when SHIFT key is mapped to Pause function
Description Not sure when this bug was introduced but it was in one of the more recent versions since I never used to have this issue before.

If I map the SHIFT key to the Pause function in MAME, I can pause MAME, but I can't unpause. The issue happens whether the left or right Shift key is mapped to Pause.

Pretty sure this has to do with the Increment Frame function in MAME which is Shift + Pause, and I'm not sure when that was introduced, or if the issue started when that was introduced. Unfortunately, there doesn't appear to be a way to disable or remap the Increment Frame function.

So you may ask, why map SHIFT to Pause? On my arcade cabinet with DreamAuthentics Ultra Quad console, the Pause button is an ideal button to access the "Shifted" functions of the buttons on the Ultimarc i-PAC controller. I have "Escape" mapped as a shifted button on the Player 1 Start button (which is beside the Pause button), so that pressing a combination of Pause + Player 1 Start exits MAME and other emulators. This prevents accidentally exiting an emulator with a single button press when you are quickly mashing buttons to insert coins or pressing Player 1 Start to re-join a game after dying.
Steps To Reproduce 1) Map left or right Shift key to the Pause function

2) Start any game

3) Pause the game using Shift

4) Attempt to unpause the game using Shift.

The game will not unpause.
Additional Information
Flags
Regression Version
Affected Sets / Systems
Attached Files
 


-  Notes
User avatar
No.12380
Tafoid
(Administrator)
Feb 2, 2016, 04:32
Seems reasonable to assume that a SHIFT+P (pause by frame) should be something not hard-wired and configurable like most all other outputs.
User avatar
No.12391
vyger
(Tester)
Feb 6, 2016, 15:48
In the current git code it's configurable.